net.sf.jasperreports.engine.util

## Class DisplayValue<T>

- java.lang.Object
- - net.sf.jasperreports.engine.util.DisplayValue<T>

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    DisplayComparableValue

      public class DisplayValue<T>
      extends java.lang.Object
      implements java.io.Serializable

  Version:
    $Id: DisplayValue.java 6419 2013-08-27 12:17:35Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected T` | `key`
    `protected java.lang.String` | `label`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DisplayValue(T key, java.lang.String label)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`
    `T` | `key()`
    `java.lang.String` | `label()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### key

          protected final T key

    - #### label

          protected final java.lang.String label

  - ### Constructor Detail

    - #### DisplayValue

          public DisplayValue(T key,
                      java.lang.String label)

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### key

          public T key()

    - #### label

          public java.lang.String label()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com